Altibase.jdbc.driver.sharding.core

## Class AltibaseShardingPooledConnection

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.AltibaseShardingPooledConnection

All Implemented Interfaces:
  javax.sql.PooledConnection

    public class AltibaseShardingPooledConnection
    extends java.lang.Object
    implements javax.sql.PooledConnection

### Constructor Summary

Constructors
Constructor and Description
`AltibaseShardingPooledConnection(java.sql.Connection aPhysicalConnection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConnectionEventListener(javax.sql.ConnectionEventListener aListener)`
`void` `close()`
`java.sql.Connection` `getConnection()`
`void` `notifyLogicalConnectionClosed()`
`void` `removeConnectionEventListener(javax.sql.ConnectionEventListener aListener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.PooledConnection

`addStatementEventListener, removeStatementEventListener`

### Constructor Detail

#### AltibaseShardingPooledConnection

    public AltibaseShardingPooledConnection(java.sql.Connection aPhysicalConnection)

### Method Detail

#### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.PooledConnection`
Throws:
  `java.sql.SQLException`

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `javax.sql.PooledConnection`
Throws:
  `java.sql.SQLException`

#### addConnectionEventListener

    public void addConnectionEventListener(javax.sql.ConnectionEventListener aListener)

Specified by:
  `addConnectionEventListener` in interface `javax.sql.PooledConnection`

#### removeConnectionEventListener

    public void removeConnectionEventListener(javax.sql.ConnectionEventListener aListener)

Specified by:
  `removeConnectionEventListener` in interface `javax.sql.PooledConnection`

#### notifyLogicalConnectionClosed

    public void notifyLogicalConnectionClosed()